## starplot 0.92.3

=== Makefile ===
# Makefile for StarPlot

prefix  = /usr/local
DESTDIR = $(prefix)

# installation locations: -----------------------------------------------
export BINARYNAME  =  starplot
export CONVERTNAME =  starconvert
export DATADIR     =  $(DESTDIR)/share/$(BINARYNAME)
export DOCDIR      =  $(DESTDIR)/share/doc/$(BINARYNAME)
INSTALLDIR         =  $(DESTDIR)/bin
MANDIR             =  $(DESTDIR)/man/man1

# locations of programs needed for compiling / installing:
export CXX    =  g++
export SED    =  sed
INSTALL       =  install

# compiler flags
export CFLAGS =  -Wall -pedantic -O2
LFLAGS        =  `gtk-config --libs`

# targets ---------------------------------------------------------------

.PHONY: all object-files conv-files doc-files starplot starconvert debian \
	clean dist-clean debian-clean install install-bin install-doc     \
	install-debian install-examples install-gpl install-man uninstall

all: object-files conv-files doc-files

object-files:
	$(MAKE) -C classes
	$(MAKE) -C gui
	$(CXX) gui/*.o classes/*.o -o $(BINARYNAME) $(CFLAGS) $(LFLAGS)

conv-files:
	$(MAKE) -C convert
	$(CXX) convert/*.o classes/*.o -o $(CONVERTNAME) $(CFLAGS) -lm

doc-files:
	$(MAKE) -C doc

# The next two targets are not used by the default build and are just for
#  convenience if you only want to build one of the two programs.
starplot: object-files
starconvert:
	$(MAKE) -C classes
	$(MAKE) conv-files

debian:
	dpkg-buildpackage -rfakeroot

clean:
	$(MAKE) -C gui clean
	$(MAKE) -C classes clean
	$(MAKE) -C convert clean

dist-clean: clean
	rm -f $(BINARYNAME) $(CONVERTNAME)
	$(MAKE) -C doc clean

debian-clean: dist-clean
	fakeroot debian/rules clean

# install everything
install: install-bin install-examples install-doc install-man install-gpl

# install only things relevant to creating a Debian package
install-debian: install-bin install-examples install-doc

# install just the binary and create an empty data directory
install-bin:
	$(INSTALL) -d -m 0755 $(INSTALLDIR) $(DATADIR)
	$(INSTALL) -m 0755 -s $(BINARYNAME) $(INSTALLDIR)
	$(INSTALL) -m 0755 -s $(CONVERTNAME) $(INSTALLDIR)

# install example star data files as well as the binary
install-examples:
	$(INSTALL) -d -m 0755 $(DATADIR) $(DATADIR)/examples
	$(INSTALL) -m 0644 examples/*.stars $(DATADIR)/examples

# install the text and HTML documentation only
install-doc:
	$(INSTALL) -d -m 0755 $(DOCDIR) $(DOCDIR)/examples
	$(INSTALL) -m 0644 examples/example.spec $(DOCDIR)/examples
	$(INSTALL) -m 0644 README INSTALL Makefile $(DOCDIR)
	$(INSTALL) -d -m 0755 $(DOCDIR)/html $(DOCDIR)/html/images
	$(INSTALL) -m 0644 doc/html/*.html $(DOCDIR)/html
	$(INSTALL) -m 0644 doc/html/images/* $(DOCDIR)/html/images

# install man pages
install-man:
	$(INSTALL) -d -m 0755 $(MANDIR)
	$(INSTALL) -m 0644 doc/man/starplot.1 $(MANDIR)/$(BINARYNAME).1
	$(INSTALL) -m 0644 doc/man/starconvert.1 $(MANDIR)/$(CONVERTNAME).1

# install the license
# (this is separate since most people already have more than enough copies
# of the GPL lying around on their hard drives)
install-gpl:
	$(INSTALL) -d -m 0755 $(DOCDIR)
	$(INSTALL) -m 0644 COPYING $(DOCDIR)

# You can uninstall StarPlot even after deleting the source tree because
# this Makefile will have been installed in $(DOCDIR).
# NOTE: Make sure $(prefix) is set correctly.
# DO NOT USE THIS TARGET IF YOU INSTALLED STARPLOT AS A DEBIAN PACKAGE!!!

uninstall:
	-rm -f $(INSTALLDIR)/$(BINARYNAME) $(INSTALLDIR)/$(CONVERTNAME)
	-rm -rf $(DATADIR)/examples
	-rmdir $(DATADIR)
	-rm -rf $(DOCDIR)
	-rm -f $(MANDIR)/$(BINARYNAME).* $(MANDIR)/$(CONVERTNAME).*
	-rmdir $(MANDIR)

=== classes/Makefile ===
BASEHEADERS =  stringops.h specclass.h mathops.h

all:	stararray.o star.o stringops.o specclass.o mathops.o

stararray.o:	stararray.cc stararray.h star.h viewer.h constellations.h \
		$(BASEHEADERS)
	$(CXX) -c stararray.cc $(CFLAGS)

star.o:	star.cc star.h greek.h viewer.h $(BASEHEADERS)
	$(CXX) -c star.cc $(CFLAGS)

%.o:	%.cc %.h
	$(CXX) -c $< -o $@ $(CFLAGS)

clean:
	rm -f *.o *.cc~ *.h~

=== convert/Makefile ===
HEADERS = ../classes/stringops.h ../classes/mathops.h ../classes/specclass.h \
		parse.h
DOCDEF  = -DDOCDIR=\"$(DOCDIR)\"
PROGDEF = -DPROGNAME=\"$(CONVERTNAME)\"

all:	parse.o convert.o names.o

parse.o:	parse.cc $(HEADERS)
	$(CXX) -c parse.cc $(CFLAGS)

convert.o:	convert.cc $(HEADERS) convert.h ../version.h \
		../classes/star.h
	$(CXX) -c convert.cc $(CFLAGS) $(DOCDEF) $(PROGDEF)

names.o:	names.cc $(HEADERS) convert.h ../classes/constellations.h \
		../classes/greek.h
	$(CXX) -c names.cc $(CFLAGS)

clean:
	rm -f *.o *.cc~ *.h~

=== doc/Makefile ===
SUBSTITUTIONS = -e s^DATADIR^$(DATADIR)^g -e s^DOCDIR^$(DOCDIR)^g \
	-e s^BINARYNAME^$(BINARYNAME)^g -e s^CONVERTNAME^$(CONVERTNAME)^g

all: man/starplot.1 man/starconvert.1

man/starplot.1:	man/starplot-template
	$(SED) $(SUBSTITUTIONS) man/starplot-template > man/starplot.1

man/starconvert.1: man/starconvert-template
	$(SED) $(SUBSTITUTIONS) man/starconvert-template > man/starconvert.1

clean:
	-rm -f man/*~ man/starplot.1 man/starconvert.1

=== gui/Makefile ===
HEADERS =  starplot.h gtkviewer.h menu.h ../classes/stararray.h \
		../classes/star.h ../classes/greek.h ../classes/specclass.h \
		../classes/stringops.h ../classes/mathops.h ../classes/viewer.h
DATADEF = -DDATADIR=\"$(DATADIR)\"
DOCDEF  = -DDOCDIR=\"$(DOCDIR)\"

all:	starplot.o menuops.o filedialogs.o infodialogs.o chartdialogs.o \
		hrdiagram.o

%.o:	%.cc $(HEADERS)
	$(CXX) -c $< `gtk-config --cflags` $(CFLAGS) $(DATADEF)

menuops.o:	menuops.cc $(HEADERS) xpmdata.h ../version.h
	$(CXX) -c menuops.cc `gtk-config --cflags` $(CFLAGS) \
		$(DATADEF) $(DOCDEF)

starplot.o:	starplot.cc $(HEADERS) ../version.h
	$(CXX) -c starplot.cc `gtk-config --cflags` $(CFLAGS) $(DATADEF)

clean:
	rm -f *.o *.cc~ *.h~

## starplot 0.95.5

=== debian/changelog ===
starplot (0.95.5-7) unstable; urgency=low

  * Fixed FTBFS problem. Changed build target in debian/rules, tested
    in experimental repository (Closes: #679316).

 -- Francisco Manuel Garcia Claramonte <francisco@debian.org>  Mon, 02 Jul 2012 13:47:34 +0200

starplot (0.95.5-6) experimental; urgency=low

  * Changed build target in debian/rules to fix a FTBFS problem.

 -- Francisco Manuel Garcia Claramonte <francisco@debian.org>  Sat, 30 Jun 2012 12:29:54 +0200

starplot (0.95.5-5) unstable; urgency=low

  * Updated to Debian Policy 3.9.3
  * Updated debhelper dependency to version 9
  * Added build-arch and build-indep debian/rules targets
  * Added source/format, 3.0 (quilt) file. Thanks to Jari Aalto
    (Closes: #670729).
  * Removed the unneeded dependency on dpatch.
  * Updated debian/patches to quilt.


 -- Francisco Manuel Garcia Claramonte <francisco@debian.org>  Mon, 25 Jun 2012 11:25:50 +0200

starplot (0.95.5-4) unstable; urgency=low

  * Updated to Debian policy 3.8.3
  * Fixed the problem with FTBFS thanks for the patch to Kamal Mostafa
    <kamal@whence.com> (Closes: #560544).
  * Added debian/README.source file explaining how dpatch works, according to 
    Debian Policy.
  * Added ${misc:Depends} depends to bynary package, required by debhelper.

 -- Francisco Manuel Garcia Claramonte <francisco@debian.org>  Thu, 07 Jan 2010 22:24:30 +0100

starplot (0.95.5-3) unstable; urgency=low

  * Updated Debian policy to 8.3.2
  * Updated Maintainer control field to @debian.org.
  * Updated debian/rules file:
      - Changed dh_clean -k to dh_prep.
      - Removed deprecated dh_desktop call.
      - Updated debhelper dependency version from 5 to 7.
      - Updated debhelper compatibility to 7.

 -- Francisco Manuel Garcia Claramonte <francisco@debian.org>  Sun, 26 Jul 2009 19:41:36 +0200

starplot (0.95.5-2) unstable; urgency=low

  * Updated Standard-version control field to 3.8.0.1
  * Added a dpatch to update the starplot.desktop file provided by Kevin B.
    McCarty <kmccarty@gmail.com> with the non-localized comment field. 
    Thanks to "Nathan Handler" <nhandler@ubuntu.com>. (Closes: #491448).
  * The new upstream manual is enough complete and documented.
    (Closes: #344622).
  * Removed the debian/starplot32x32.xpm file, It was added to the
    upstream version. Clean up debian/rules to remove installing icon
    command.

 -- Francisco Garcia <franciscomanuel.garcia@hispalinux.es>  Mon, 01 Dec 2008 13:33:22 +0100

starplot (0.95.5-1) unstable; urgency=low

  * New upstream release.
  * Added debian/watch file.
  * Modified debian/rules to configure and install properly html docs and 
    examples directory.

 -- Francisco Garcia <franciscomanuel.garcia@hispalinux.es>  Sat, 17 May 2008 11:52:11 +0200

starplot (0.95.4-5) unstable; urgency=low

  * Edited starplot data file generation script "starplot.sh" to do nothing
    if a pre-existing data file in starplot format is already newer than the
    times of installation of the starplot package and relevant data package.
  * Otherwise cleaned up starplot.sh a bit.
  * Adjusted CFLAGS definition in debian/rules to prevent FTBFS and ensured
    that g++ used them (by setting CXXFLAGS to the same string).
  * Removed extraneous ';' following namespace and extern "C" blocks in
    lib/compat.h, src/classes/mathdefs.h, src/classes/strings.h,
    src/gui/starplot.h, src/gui/hrdiagram.cc, src/gui/infodialogs.cc
    and src/gui/starplot.cc.  Needed to prevent FTBFS with -pedantic flag.
  * Updated doc-base section to new policy: Apps/Science -> Science/Astronomy.
  * Changed substitution tables in gliese and yale spec files to be
    case-sensitive in order to enhance starconvert speed.

 -- Kevin B. McCarty <kmccarty@debian.org>  Fri, 11 Apr 2008 14:08:17 -0700

starplot (0.95.4-4) unstable; urgency=low

  * Added "#include <cstdlib>" in src/classes/strings.cc, and omitted the
    std:: prefix from vsprintf(), vsnprintf(), in hopes of fixing the FTBFS
    on arm, mips, mipsel.

 -- Kevin B. McCarty <kmccarty@debian.org>  Thu, 28 Feb 2008 15:14:22 -0800

starplot (0.95.4-3) unstable; urgency=low

  * Updated to debian policy 3.7.3.
  * Added debian/menu icon field with starplot32x32.xpm file.
  * Added starplot.desktop file, thanks to Marco Rodrigues <gothicx@sapo.pt>
    (Closes: #457836)
  * Cleaned debian/rules file.
  * Added Homepage control field.

 -- Francisco Garcia <franciscomanuel.garcia@hispalinux.es>  Wed, 23 Jan 2008 00:07:56 +0100

starplot (0.95.4-2) unstable; urgency=low

  * Patched source code to fix compile error with GCC 4.3.
    (Closes: #454869)
  * Modified debian/rules clean process to caught error messages from 
    the clean or distclean rules.
  * Changed debian/menu Section field to Applications/Science/Astronomy
    according to the Debian menu sub-policy.

 -- Francisco Garcia <franciscomanuel.garcia@hispalinux.es>  Sat, 15 Dec 2007 18:33:58 +0100

starplot (0.95.4-1) unstable; urgency=low

  * New upstream release
  * Updated to debian policy 3.7.2.2
  * Created debian/compat file and removed DH_COMPAT field from
    debian/rules.

 -- Francisco Garcia <franciscomanuel.garcia@hispalinux.es>  Thu, 03 May 2007 00:07:53 +0200

starplot (0.95.3-2) unstable; urgency=low

  * Fixed an error with POSIX sh string equality "=" in 
    /usr/lib/stardata-common/starplot file. (Closes: #342331)

 -- Francisco Garcia <franciscomanuel.garcia@hispalinux.es>  Wed,  7 Dec 2005 14:10:24 +0100

starplot (0.95.3-1) unstable; urgency=low

  [ Francisco Garcia ]
  * New upstream release
  * Fixed the compilation failure on 64-bit architectures. 
    Thanks to Andreas Jochens <aj@andaco.de> (Closes: #298418)
  * Removed the hack to generate es.gmo in debian/rules file.

  [ Kevin McCarty ]
  * Update to debhelper version 5.
  * Add postrm removing /var/lib/starplot directory.
  * Update gliese.spec and yale.spec files to most recent versions.
  * Add NEWS file about the new stardata-common package.



=== debian/control ===
Source: starplot
Section: science
Priority: optional
Maintainer: Francisco Manuel Garcia Claramonte <francisco@debian.org>
Uploaders: Javier Fernandez-Sanguino Pen~a <jfs@computer.org>, Kevin B. McCarty <kmccarty@debian.org>
Build-Depends: debhelper (>> 9.0.0), libgtk2.0-dev
Standards-Version: 3.9.3
Homepage: http://starplot.org

Package: starplot
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: gliese, yale
Recommends: stardata-common
Provides: gliese-viewer, yale-viewer
Description: 3-dimensional perspective star map viewer
 StarPlot is a GTK+ based program that can be used interactively to view
 three-dimensional perspective charts of stars.  Charts can be re-centered,
 rotated, or zoomed in or out with a mouse click (this can also, of course,
 be done via dialog boxes for more precision).  Stars may be viewed (or
 ignored) by spectral class and absolute magnitude.
 .
 StarPlot is packaged with starconvert, a utility that converts
 line-oriented stellar data records to StarPlot format.  Most star data
 files available on the Internet can be converted this way if a short file
 describing the original file format is provided to starconvert.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# DEB_BUILD_OPTIONS support
ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS=-Wall -pedantic -O0 -g
else
	CFLAGS=-Wall -pedantic -O2 -g
endif
# "nostrip" is seen automatically by dh_strip

# configure options as per autotools-dev usr/share/doc/README.Debian
export DEB_HOST_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
export DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
 
# FOR AUTOCONF 2.52 AND NEWER ONLY

ifeq ($(DEB_BUILD_GNU_TYPE), $(DEB_HOST_GNU_TYPE))
  confflags += --build $(DEB_HOST_GNU_TYPE)
else
  confflags += --build $(DEB_BUILD_GNU_TYPE) --host $(DEB_HOST_GNU_TYPE)
endif


# begin Make targets ----------------------------------------------------------
                                                                                
configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.
	./configure $(confflags) --prefix=/usr --with-webbrowser=sensible-browser \
		--htmldir=/usr/share/doc/starplot
	touch configure-stamp


build: build-arch build-indep
build-arch: build-stamp
build-indep: build-stamp
build-stamp: configure-stamp 
	dh_testdir
	# Add here commands to compile the package.
	$(MAKE) all CFLAGS="$(CFLAGS)" CXXFLAGS="$(CFLAGS)" \
		INSTALLPGM=$(INSTALLPGM) \
		docdir=/usr/share/doc/starplot mandir=/usr/share/man sysconfdir=/etc
	touch build-stamp

clean: 
	dh_testdir
	dh_testroot
	# Add here commands to clean up after the build process.
	[ ! -f Makefile ] || $(MAKE) distclean
	rm -f build-stamp configure-stamp config.status config.log
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	# Add here commands to install the package into debian/starplot.
	$(MAKE) install DESTDIR=$(CURDIR)/debian/starplot/ \
		docdir=/usr/share/doc mandir=/usr/share/man sysconfdir=/etc
	install -D $(CURDIR)/debian/starplot.sh $(CURDIR)/debian/starplot/usr/lib/stardata-common/starplot
	mkdir -p $(CURDIR)/debian/starplot/usr/share/starplot/specfiles
	install -m 0664 $(CURDIR)/debian/*.spec $(CURDIR)/debian/starplot/usr/share/starplot/specfiles
	mv $(CURDIR)/debian/starplot/usr/share/doc/examples $(CURDIR)/debian/starplot/usr/share/doc/starplot/examples 
	install $(CURDIR)/debian/README.source $(CURDIR)/debian/starplot/usr/share/doc/starplot/


binary-indep: build install

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installmenu
	dh_installman
	dh_installchangelogs ChangeLog
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

=== debian/watch ===
version=3
http://www.starplot.org/download.html downloads/starplot-(.*)\.tar\.gz
